# RASA Codeless 2.1.0 Release

### RASA Codeless provides a GUI for NLU pipeline configurations and model training and evaluation for Rasa Conversational AIs.

## Features
- Allows configuring, training, and evaluating RASA models efficiently through a React based UI
- Fully supports rasa 2.8.x projects
- Provides an easy-to-use CLI
- Provides an efficient server-based GUI
- Requires minimum machine learning expertise and RASA framework specific knowledge
- Learning curve insights for non-experts

## What's Cooking?
- Training data management
- Story designer
- Custom config file upload
- NLU file upload
- CDD (Interactive Learning)
- Rule designer
- Conversation flow designer
- Custom NLU pipeline components attaching
- Cross-validation and F1-score based performance evaluation
- User-friendly model and deployment management
- One-click deploy
- Docker support for model deployment
- Custom MongoDB botstore support
- Omni-channel support

## Limitations and Known Issues
- Does not support early stopping
- Training ETA not available
- Evaluations are limited to DIET Classifier for now

📒 Docs: https://rasa-codeless.github.io  
📦 PyPi: https://pypi.org/project/rasac/2.1.0/  
🪵 Full Changelog: [here](https://github.com/rasa-codeless/rasac/blob/main/CHANGELOG.md)  

